Bug 745397 (CVE-2011-3552) - CVE-2011-3552 OpenJDK: excessive default UDP socket limit under SecurityManager (Networking, 7032417)
Summary: CVE-2011-3552 OpenJDK: excessive default UDP socket limit under SecurityManag...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3552
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 744786 744787 744788 744789 744819 744820 744822 755960 755961 755962 769184 769185 769186 769324 769325 769326 769327 769328
Blocks: 744688
TreeView+ depends on / blocked
 
Reported: 2011-10-12 09:01 UTC by Tomas Hoger
Modified: 2021-02-24 14:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-29 15:03:49 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1380 0 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2011-10-18 23:26:12 UTC
Red Hat Product Errata RHSA-2011:1384 0 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2011-10-19 17:22:32 UTC
Red Hat Product Errata RHSA-2011:1478 0 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2011-11-24 21:02:20 UTC
Red Hat Product Errata RHSA-2012:0006 0 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2012-01-10 01:07:05 UTC
Red Hat Product Errata RHSA-2012:0034 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2012-01-19 00:24:35 UTC
Red Hat Product Errata RHSA-2012:0343 0 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm-sap security update 2012-02-29 19:46:35 UTC
Red Hat Product Errata RHSA-2013:1455 0 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC

Description Tomas Hoger 2011-10-12 09:01:14 UTC
It was discovered that the number of UDP sockets an application running with SecurityManager restrictions can use by default was set too high.  If multiple instances of a malicious applications were started at the same time, it can result in exhaustion of all available UDP sockets, possibly blocking other applications on the system from being able to do UDP network communication.

Comment 3 Vincent Danen 2011-10-18 20:49:38 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpuoct2011-443431.html

Comment 4 errata-xmlrpc 2011-10-18 23:27:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2011:1380 https://rhn.redhat.com/errata/RHSA-2011-1380.html

Comment 6 errata-xmlrpc 2011-10-19 17:23:28 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2011:1384 https://rhn.redhat.com/errata/RHSA-2011-1384.html

Comment 7 Fedora Update System 2011-11-05 01:26:17 UTC
java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2011-11-24 16:03:13 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:1478 https://rhn.redhat.com/errata/RHSA-2011-1478.html

Comment 9 errata-xmlrpc 2012-01-09 20:08:48 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0006 https://rhn.redhat.com/errata/RHSA-2012-0006.html

Comment 10 errata-xmlrpc 2012-01-18 19:25:56 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0034 https://rhn.redhat.com/errata/RHSA-2012-0034.html

Comment 11 errata-xmlrpc 2012-02-29 14:48:36 UTC
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2012:0343 https://rhn.redhat.com/errata/RHSA-2012-0343.html

Comment 12 errata-xmlrpc 2013-10-23 17:00:46 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.